# -*- encoding: utf-8 -*-

from django.forms import widgets
from django.contrib import admin
from forms import form_initialiser_etats

class WorkflowAdmin(admin.ModelAdmin):
    
    def get_form(self, request, obj=None, **kwargs):
        """
        filtrage de la liste de choix d'état au moment où on a accès à l'objet request,
        pour le rendre disponible dans le workflow.
        """
        form = super(WorkflowAdmin, self).get_form(request, obj, **kwargs)
        form_initialiser_etats(form, request, obj)
        return form
